Merci de cliquer ici si vous souhaitez vous inscrire sur le forum.

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Installer une imprimante Brother (USB ou réseau)
#1
Installer une imprimante Brother (USB ou réseau)
[pas testé pour les connexions WIFI)

Fonctionne parfaitement avec DCP-J925DW mais les autres doivent aussi marcher
(liste complète ici : http://support.brother.com/g/s/id/linux/...d_prn.html )

[h]Globalement[/h]

[h]Récupérer les drivers sur le site de Brother[/h]

http://support.brother.com/g/s/id/linux/...DCP-J925DW

Prendre les drivers « Driver LPR + cupswrapper »

(paquet *.deb pour debian et distributions dérivées | paquet *.rpm pour une dérivée Red Hat / Fedora)

Les sauvegarder sur son disque dur


[h]Installer les drivers[/h]
Mode manuel
Ouvrir une console

Se rendre à l'endroit de la sauvegarde des drivers puis les installer (compte administrateur (root))
Code :
# cd /home/MonUser/MonEndroit # ! A adapter à votre situation
# dpkg -i --force-all *.deb

Mode graphique
(pas testé, mais en gros ça doit être ça)
Cliquer sur les paquets *.deb téléchargés. Il doit bien y avoir un assistant qui va se lancer...

[h]Installer l’imprimante[/h]
Lancer un navigateur et aller à l’adresse : http://localhost:631

Choisir Add printer et se laisser guider (nécessite les droits root).
L'imprimante est trouvée automatiquement
Sélectionner ensuite le driver précédemment installé et laisser les réglages par défaut.
All you need : #!/bin/bash
Répondre
#2
Merci pour le tuto !
Répondre
#3
Pour les imprimantes plus récentes, type Mopper, il faut aller chercher le fichier .ppd, et dans http://localhost:631 installer l'imprimante en indiquant l'emplacement du fichier .ppd.
Répondre
#4
J'avais eu un soucis pour installer une brother HL 5450DN, drivers non dispo, donc téléchargement chez brother, puis quelques lignes de terminal, et pour installer l'imprimante réseau, nous avons utilisé HPjet direct et renseigné l'adresse ip et le port
Répondre
#5
== 64 bit ==
Pour info, sur une STRETCH fraichement installée, installer au préalable :
Code :
apt install lib32stdc++6
dpkg --add-architecture i386
apt install multiarch-support

Sur une mint
Code :
ia32-libs
All you need : #!/bin/bash
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)